#include <iostream>
#include <vector>

using namespace std;

vector<int>cifre;

struct Jeste {
	int max;
	int index;
};

Jeste max(int n) {
	Jeste vrati;
	vrati.max = 0;
	for (int i = 1; i < n; i++) {
		for (int j = 0; j < i; j++) {
			if (cifre[i] > cifre[j]) {
				if (cifre[i] > vrati.max) {
					vrati.max = cifre[i];
					vrati.index = i;
				}					
				break;
			}
		}
	}
	return vrati;
}

void zameni(Jeste uzmi) {	
	int i = 0;
	do 
	{
		if (uzmi.max > cifre[i]) {
			cifre[uzmi.index] = cifre[i];
			cifre[i] = uzmi.max;
		}
		i++;
	} while (uzmi.max < cifre[i - 1]);
}

int main() {
	int n;
	cin >> n;
	for (int i = 0; i < n; i++) {
		int x;
		cin >> x;
		cifre.push_back(x);
	}
	Jeste Podaci = max(n);
	zameni(Podaci);
	for (int i = 0; i < n; i++)
		cout << cifre[i] << " ";
}